{% extends "base.html" %}

{% block title %}All records{% endblock %}

{% block body %}

<table>
    <caption>List</caption>
    <thead>
    <tr>
        <th scope="col" class="col-id"><strong>ID</strong></th>
        <th scope="col" class="col-title"><strong>Title</strong></th>
        <th scope="col" class="col-description"><strong>Description</strong></th>
        <th scope="col" class="col-created"><strong>Date created</strong></th>
        <th scope="col" class="col-action"><strong>Action</strong></th>
    </tr>
    </thead>
    <tbody>
    {% if lists|length > 0 %}
        {% for list in lists %}
            <tr>
                <td class="col-id">{{ list.id|e }}</td>
                <td class="col-title">{{ list.title|e }}</td>
                <td class="col-description">{{ list.description|e }}</td>
                <td class="col-created">{{ list.date_created|e }}</td>
                <td class="col-action">
                    <a class="btn btn-edit" href="update">edit</a>
                    <a class="btn btn-delete" href="remove?id={{ list.id|e }}">remove</a>
                </td>
            </tr>
        {% endfor %}
    {% endif %}

    </tbody>
</table>

<div class="modal modal-delete">
    <span class="btn-close" title="Close Modal">&times;</span>
    <form class="modal-content" action="" method="POST">
        <div class="container">
            <h1>Remove <span class="placeholder-title"></span></h1>
            <p>Are you sure?</p>

            <div class="modal-actions">
                <button type="button" class="btn btn-cancel">Cancel</button>
                <button type="submit" class="btn btn-delete">Delete</button>
            </div>
        </div>
    </form>
</div>

<div class="modal modal-edit">
    <span class="btn-close" title="Close Modal">&times;</span>
    <div class="container">
        <form class="modal-content" action="" method="POST">
            <div class="container">
                <h1>Edit</h1>
                <input type="hidden" class="placeholder-id" id="id" name="id">
                <div class="row">
                    <div class="col-25">
                        <label for="title">Title</label>
                    </div>
                    <div class="col-75">
                        <input class="placeholder-title" type="text" id="title" name="title" placeholder="Title.." required>
                    </div>
                </div>
                <div class="row">
                    <div class="col-25">
                        <label for="description">Description</label>
                    </div>
                    <div class="col-75">
                        <input class="placeholder-description" type="text" id="description" name="description" placeholder="Description..">
                    </div>
                </div>

                <div class="modal-actions">
                    <button type="button" class="btn btn-cancel">Cancel</button>
                    <button type="submit" class="btn btn-delete">Edit</button>
                </div>
            </div>
        </form>
    </div>
</div>

{% endblock %}


